index

Varkon MBS Programmers manual

# close - Procedure

## Description

Closes the connection with one or all open files or pipes. If no file is specified all files currently opened by the open procedure are closed.

## Syntax

      close(f);

      file f;

## Principal parameters

None.

## Optional parameters

f | - The name of a filevariable associated with an open file. If not supplied, all files are closed.

## Comments

Trying to close a file or pipe which is not open is treated as an error.

All files opened by the open() procedure are automatically closed when you exit Varkon.

## See also

open()

Varkon version 1.19E svn# 121M